Subject: bug#62831: 29.0.90; Emacs-pretest-29.0.90 aarch64 on macOS crashes when receiving a three-finger tap.

From: Daniel Martín <[email-masked]>
Date: Sat, 15 Apr 2023 21:50:59 +0200

Sami Lahtinen <[email-masked]> writes:

> Unfortunately I am unable to run GDB, as it seems that GDB doesn't run on
> aarch64.
>
> I tried to debug using LLDB, but since I have no experience with these
> things I was unable to do so. I can try to find some time to learn the
> process next week, but it might take a while, as I have never done any
> debugging before. Maybe someone with more experience has access to an Apple
> silicon machine and can replicate the bug?

If you open Console.app, you should see the Emacs crash there, under
Crash Reports.  Could you upload the report to this bug thread?

I can't reproduce the issue, but I am on macOS 12, not macOS 13.  Do you
reproduce the issue if you start Emacs from a terminal with "emacs -Q"?

>
> ps. Maybe I should explain, that the three-finger tap is a macOS feature
> that can search for a dictionary definition, web search etc. on a
> highlighted word as well as display info about files in the file browser
> etc. I'm just explaining this as it is a os-specific utility that some
> people might not be aware of. I have no idea how it works "under the hood".
>

Is this the setting you can configure at System Preferences, Trackpad,
Point & Click, Look up & data detectors, Tap with three fingers?